# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define old_name gcom

Summary:	GPRS/EDGE/3G/HSDPA datacard control tool
Name:		comgt
Version:	0.32
Release:	alt1_22
Source0:	http://www.pharscape.org/3G/%{name}/%{name}.%{version}.tgz
Patch0:		comgt-0.32-string-format.patch
Patch1:		comgt-0.32-fix-man-page-typo.patch
License:	GPLv2+
Group:		Communications
URL:		http://pharscape.org/comgt.html

Provides:	%{old_name} = %{version}-%{release}
Obsoletes:	%{old_name} < %{version}-%{release}
Requires:	usb_modeswitch
Source44: import.info

%description
comgt is a datacard control tool for Option GlobeTrotter
GPRS/EDGE/3G/HSDPA and Vodafone 3G/GPRS.

It is a scripting language interpreter useful for establishing
communications on serial lines and through PCMCIA modems as well as
GPRS and 3G datacards.

comgt has some features that are rarely found in other utilities of the
same type.

%prep
%setup -q -n %{name}.%{version}
%patch0 -p1
%patch1 -p1


%build
%make_build CFLAGS="-c %{optflags}" LDFLAGS=""

%install
install -m755 %{name} -D %{buildroot}%{_sbindir}/%{name}
install -m644 %{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1
ln -s %{_sbindir}/%{name} %{buildroot}%{_sbindir}/%{old_name}

%files
%doc CHANGELOG gprs.txt TODO umts.txt
%{_mandir}/man1/%{name}.1*
%defattr(755,root,root,755)
%{_sbindir}/%{name}
%{_sbindir}/%{old_name}




%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.32-alt1_22
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1_21
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1_20
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1_19
- new version

